Buscar entidades canônicas
curl --request GET \
--url https://api.nlbs.ai/entitiesimport requests
url = "https://api.nlbs.ai/entities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nlbs.ai/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"aliases": [
"M. Silva"
],
"display_name": "Maria Silva",
"entity_type": "person",
"id": 410752090310337400,
"identifiers": [
{
"identifier_type": "CPF",
"is_masked": true,
"value": "***.123.456-**"
}
],
"legal_name": "Maria Silva"
}
],
"limit": 20,
"offset": 0,
"total": 1
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}Entidades
Buscar entidades canônicas
Busca entidades canônicas por nome, documento, ou ambos. Ao menos um de name ou document é obrigatório. Busca parcial por documento exige name.
GET
/
entities
Buscar entidades canônicas
Query Parameters
Fragmento de nome. Deve conter ao menos 3 caracteres úteis.
Example:
"Maria Silva"
CPF válido ou CNPJ numérico/alfanumérico. Valores parciais exigem name.
Example:
"12345678901"
Filtro opcional de tipo de entidade.
Available options:
person, organization, government_agency, financial_institution, political_party, foreign_entity, vessel, aircraft, notary_office, unknown Tamanho máximo da página.
Required range:
1 <= x <= 100Deslocamento da página, a partir de zero.
Required range:
x >= 0Response
Successful Response

